Index: bsps/aarch64/shared/start/linkcmds.base
===================================================================
--- bsps/aarch64/shared/start/linkcmds.base	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/aarch64/shared/start/linkcmds.base	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -324,5 +324,5 @@
 	.noinit (NOLOAD) : ALIGN_WITH_INPUT {
 		bsp_section_noinit_begin = .;
-		*(.noinit*)
+		*(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
 		bsp_section_noinit_end = .;
 	} > REGION_WORK AT > REGION_WORK
Index: bsps/arm/shared/start/linkcmds.base
===================================================================
--- bsps/arm/shared/start/linkcmds.base	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/arm/shared/start/linkcmds.base	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -335,5 +335,5 @@
 	.noinit (NOLOAD) : ALIGN_WITH_INPUT {
 		bsp_section_noinit_begin = .;
-		*(.noinit*)
+		*(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
 		bsp_section_noinit_end = .;
 	} > REGION_WORK AT > REGION_WORK
Index: bsps/bfin/TLL6527M/start/linkcmds
===================================================================
--- bsps/bfin/TLL6527M/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/bfin/TLL6527M/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -130,5 +130,5 @@
 
     .noinit (NOLOAD) : {
-        *(.noinit*)
+        *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
     } > sdram
 
Index: bsps/bfin/bf537Stamp/start/linkcmds
===================================================================
--- bsps/bfin/bf537Stamp/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/bfin/bf537Stamp/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -138,5 +138,5 @@
 
     .noinit (NOLOAD) : {
-        *(.noinit*)
+        *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
     } > sdram
 
Index: bsps/bfin/eZKit533/start/linkcmds
===================================================================
--- bsps/bfin/eZKit533/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/bfin/eZKit533/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -127,5 +127,5 @@
 
     .noinit (NOLOAD) : {
-        *(.noinit*)
+        *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
     } > sdram
 
Index: bsps/i386/pc386/start/linkcmds
===================================================================
--- bsps/i386/pc386/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/i386/pc386/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -207,5 +207,5 @@
   _end = .; PROVIDE (end = .);
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   }
   .rtemsstack (NOLOAD) : {
Index: bsps/lm32/lm32_evr/start/linkcmds
===================================================================
--- bsps/lm32/lm32_evr/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/lm32/lm32_evr/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -255,5 +255,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   } > sdram
 
Index: bsps/lm32/milkymist/start/linkcmds
===================================================================
--- bsps/lm32/milkymist/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/lm32/milkymist/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -253,5 +253,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   } > sdram
 
Index: bsps/m68k/av5282/start/linkcmds
===================================================================
--- bsps/m68k/av5282/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/m68k/av5282/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -204,5 +204,5 @@
 
         .noinit (NOLOAD) : {
-                *(.noinit*)
+                *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
         } >ram
 
Index: bsps/m68k/av5282/start/linkcmdsflash
===================================================================
--- bsps/m68k/av5282/start/linkcmdsflash	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/m68k/av5282/start/linkcmdsflash	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -204,5 +204,5 @@
 
         .noinit (NOLOAD) : {
-                *(.noinit*)
+                *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
         }
 
Index: bsps/m68k/av5282/start/linkcmdsram
===================================================================
--- bsps/m68k/av5282/start/linkcmdsram	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/m68k/av5282/start/linkcmdsram	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -203,5 +203,5 @@
 
         .noinit (NOLOAD) : {
-                *(.noinit*)
+                *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
         } >ram
 
Index: bsps/m68k/csb360/start/linkcmds
===================================================================
--- bsps/m68k/csb360/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/m68k/csb360/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -160,5 +160,5 @@
 
   .noinit (NOLOAD) : {
-       *(.noinit*)
+       *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   } >ram
 
Index: bsps/m68k/gen68340/start/linkcmds
===================================================================
--- bsps/m68k/gen68340/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/m68k/gen68340/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -191,5 +191,5 @@
 
         .noinit (NOLOAD) : {
-                *(.noinit*)
+                *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
         } >ram
 
Index: bsps/m68k/gen68360/start/linkcmds
===================================================================
--- bsps/m68k/gen68360/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/m68k/gen68360/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -155,5 +155,5 @@
 
         .noinit (NOLOAD) : {
-                *(.noinit*)
+                *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
         } > ram
 
Index: bsps/m68k/gen68360/start/linkcmds.bootp
===================================================================
--- bsps/m68k/gen68360/start/linkcmds.bootp	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/m68k/gen68360/start/linkcmds.bootp	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -157,5 +157,5 @@
 
         .noinit (NOLOAD) : {
-                *(.noinit*)
+                *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
         } >mvram
 
Index: bsps/m68k/gen68360/start/linkcmds.prom
===================================================================
--- bsps/m68k/gen68360/start/linkcmds.prom	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/m68k/gen68360/start/linkcmds.prom	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -155,5 +155,5 @@
 
         .noinit (NOLOAD) : {
-                *(.noinit*)
+                *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
         } > ram
 
Index: bsps/m68k/mcf5206elite/start/linkcmds
===================================================================
--- bsps/m68k/mcf5206elite/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/m68k/mcf5206elite/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -193,5 +193,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   } >ram
 
Index: bsps/m68k/mcf5206elite/start/linkcmds.flash
===================================================================
--- bsps/m68k/mcf5206elite/start/linkcmds.flash	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/m68k/mcf5206elite/start/linkcmds.flash	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -192,5 +192,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   } >ram
 
Index: bsps/m68k/mcf52235/start/linkcmds
===================================================================
--- bsps/m68k/mcf52235/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/m68k/mcf52235/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -192,5 +192,5 @@
 
     .noinit (NOLOAD) : {
-        *(.noinit*)
+        *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
     } >sram
 
Index: bsps/m68k/mcf5225x/start/linkcmds
===================================================================
--- bsps/m68k/mcf5225x/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/m68k/mcf5225x/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -192,5 +192,5 @@
 
     .noinit (NOLOAD) : {
-        *(.noinit*)
+        *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
     } >sram
 
Index: bsps/m68k/mcf5235/start/linkcmds
===================================================================
--- bsps/m68k/mcf5235/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/m68k/mcf5235/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -211,5 +211,5 @@
 
         .noinit (NOLOAD) : {
-                *(.noinit*)
+                *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
         } > dram
 
Index: bsps/m68k/mcf5235/start/linkcmdsflash
===================================================================
--- bsps/m68k/mcf5235/start/linkcmdsflash	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/m68k/mcf5235/start/linkcmdsflash	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -216,5 +216,5 @@
 
         .noinit (NOLOAD) : {
-                *(.noinit*)
+                *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
         } > ram
 
Index: bsps/m68k/mcf5235/start/linkcmdsram
===================================================================
--- bsps/m68k/mcf5235/start/linkcmdsram	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/m68k/mcf5235/start/linkcmdsram	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -211,5 +211,5 @@
 
         .noinit (NOLOAD) : {
-                *(.noinit*)
+                *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
         } > ram
 
Index: bsps/m68k/mcf5329/start/linkcmds
===================================================================
--- bsps/m68k/mcf5329/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/m68k/mcf5329/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -202,5 +202,5 @@
 
     .noinit (NOLOAD) : {
-        *(.noinit*)
+        *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
         WorkAreaBase = .;
     } > dram
Index: bsps/m68k/mcf5329/start/linkcmdsflash
===================================================================
--- bsps/m68k/mcf5329/start/linkcmdsflash	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/m68k/mcf5329/start/linkcmdsflash	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -198,5 +198,5 @@
 
     .noinit (NOLOAD) : {
-        *(.noinit*)
+        *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
         WorkAreaBase = .;
     } > dram
Index: bsps/m68k/mrm332/start/linkcmds
===================================================================
--- bsps/m68k/mrm332/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/m68k/mrm332/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -192,5 +192,5 @@
   } > ram
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   } > ram
   .rtemsstack (NOLOAD) : {
Index: bsps/m68k/shared/start/linkcmds.base
===================================================================
--- bsps/m68k/shared/start/linkcmds.base	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/m68k/shared/start/linkcmds.base	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -265,5 +265,5 @@
 	.noinit (NOLOAD) : ALIGN_WITH_INPUT {
 		bsp_section_noinit_begin = .;
-		*(.noinit*)
+		*(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
 		bsp_section_noinit_end = .;
 	} > REGION_DATA AT > REGION_DATA
Index: bsps/m68k/uC5282/start/linkcmds
===================================================================
--- bsps/m68k/uC5282/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/m68k/uC5282/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -207,5 +207,5 @@
 
     .noinit (NOLOAD) : {
-       *(.noinit*)
+       *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
     } >ram
 
Index: bsps/mips/csb350/start/linkcmds
===================================================================
--- bsps/mips/csb350/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/mips/csb350/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -194,5 +194,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   } >ram
 
Index: bsps/mips/hurricane/start/linkcmds
===================================================================
--- bsps/mips/hurricane/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/mips/hurricane/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -172,5 +172,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   }
 
Index: bsps/mips/jmr3904/start/linkcmds
===================================================================
--- bsps/mips/jmr3904/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/mips/jmr3904/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -169,5 +169,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   }
 
Index: bsps/mips/malta/start/linkcmds
===================================================================
--- bsps/mips/malta/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/mips/malta/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -170,5 +170,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   }
 
Index: bsps/mips/rbtx4925/start/linkcmds
===================================================================
--- bsps/mips/rbtx4925/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/mips/rbtx4925/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -172,5 +172,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   }
 
Index: bsps/mips/rbtx4938/start/linkcmds
===================================================================
--- bsps/mips/rbtx4938/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/mips/rbtx4938/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -172,5 +172,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   }
 
Index: bsps/moxie/moxiesim/start/linkcmds
===================================================================
--- bsps/moxie/moxiesim/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/moxie/moxiesim/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -232,5 +232,5 @@
   PROVIDE (end = .);
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   }
   .rtemsstack (NOLOAD) : {
Index: bsps/nios2/nios2_iss/start/linkcmds
===================================================================
--- bsps/nios2/nios2_iss/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/nios2/nios2_iss/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -269,5 +269,5 @@
 
     .noinit (NOLOAD) : {
-        *(.noinit*)
+        *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
     } > onchip_memory_0
 
Index: bsps/or1k/shared/start/linkcmds.base
===================================================================
--- bsps/or1k/shared/start/linkcmds.base	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/or1k/shared/start/linkcmds.base	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -288,5 +288,5 @@
   .noinit (NOLOAD) : ALIGN_WITH_INPUT {
     bsp_section_noinit_begin = .;
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
     bsp_section_noinit_end = .;
   } > REGION_BSS AT > REGION_BSS
Index: bsps/powerpc/gen5200/start/linkcmds.gen5200_base
===================================================================
--- bsps/powerpc/gen5200/start/linkcmds.gen5200_base	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/powerpc/gen5200/start/linkcmds.gen5200_base	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -297,5 +297,5 @@
 
 	.noinit (NOLOAD) : {
-		*(.noinit*)
+		*(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
 	} > RAM
 
Index: bsps/powerpc/mpc8260ads/start/linkcmds
===================================================================
--- bsps/powerpc/mpc8260ads/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/powerpc/mpc8260ads/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -291,5 +291,5 @@
 
     .noinit (NOLOAD) : {
-        *(.noinit*)
+        *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
     } >ram
 
Index: bsps/powerpc/shared/start/linkcmds.base
===================================================================
--- bsps/powerpc/shared/start/linkcmds.base	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/powerpc/shared/start/linkcmds.base	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -359,5 +359,5 @@
 	.noinit (NOLOAD) : ALIGN_WITH_INPUT {
 		bsp_section_noinit_begin = .;
-		*(.noinit*)
+		*(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
 		bsp_section_noinit_end = .;
 	} > REGION_WORK AT > REGION_WORK
Index: bsps/powerpc/shared/start/linkcmds.share
===================================================================
--- bsps/powerpc/shared/start/linkcmds.share	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/powerpc/shared/start/linkcmds.share	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -255,5 +255,5 @@
   } > CODE
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   } > CODE
   .rtemsstack (NOLOAD) : {
Index: bsps/powerpc/ss555/start/linkcmds
===================================================================
--- bsps/powerpc/ss555/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/powerpc/ss555/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -235,5 +235,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   }
 
Index: bsps/powerpc/virtex4/start/linkcmds
===================================================================
--- bsps/powerpc/virtex4/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/powerpc/virtex4/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -254,5 +254,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   } >RAM
 
Index: bsps/powerpc/virtex5/start/linkcmds
===================================================================
--- bsps/powerpc/virtex5/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/powerpc/virtex5/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -254,5 +254,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   } >RAM
 
Index: bsps/sh/gensh1/start/linkcmds
===================================================================
--- bsps/sh/gensh1/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/sh/gensh1/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -189,5 +189,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   } > ram
 
Index: bsps/sh/gensh2/start/linkcmds
===================================================================
--- bsps/sh/gensh2/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/sh/gensh2/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -200,5 +200,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   } > ram
 
Index: bsps/sh/gensh2/start/linkcmds.ram
===================================================================
--- bsps/sh/gensh2/start/linkcmds.ram	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/sh/gensh2/start/linkcmds.ram	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -202,5 +202,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   } > ram
 
Index: bsps/sh/gensh2/start/linkcmds.rom
===================================================================
--- bsps/sh/gensh2/start/linkcmds.rom	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/sh/gensh2/start/linkcmds.rom	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -203,5 +203,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   } > ram
 
Index: bsps/sh/gensh4/start/linkcmds
===================================================================
--- bsps/sh/gensh4/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/sh/gensh4/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -147,5 +147,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   } > ram
 
Index: bsps/sh/gensh4/start/linkcmds.rom
===================================================================
--- bsps/sh/gensh4/start/linkcmds.rom	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/sh/gensh4/start/linkcmds.rom	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -190,5 +190,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   } > ram
 
Index: bsps/sh/gensh4/start/linkcmds.rom2ram
===================================================================
--- bsps/sh/gensh4/start/linkcmds.rom2ram	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/sh/gensh4/start/linkcmds.rom2ram	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -194,5 +194,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   } > ram
 
Index: bsps/sh/shsim/start/linkcmds
===================================================================
--- bsps/sh/shsim/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/sh/shsim/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -205,5 +205,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   } > ram
 
Index: bsps/sparc/shared/start/linkcmds.base
===================================================================
--- bsps/sparc/shared/start/linkcmds.base	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/sparc/shared/start/linkcmds.base	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -156,5 +156,5 @@
     } >ram
   .noinit (NOLOAD) : {
-      *(.noinit*)
+      *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   } > ram
   .rtemsstack (NOLOAD) : {
Index: bsps/sparc64/shared/start/linkcmds
===================================================================
--- bsps/sparc64/shared/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/sparc64/shared/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -181,5 +181,5 @@
 
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   } > ram
 
Index: bsps/v850/gdbv850sim/start/linkcmds
===================================================================
--- bsps/v850/gdbv850sim/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/v850/gdbv850sim/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -194,5 +194,5 @@
   }
   .noinit (NOLOAD) : {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   }
   .rtemsstack (NOLOAD) : {
Index: bsps/x86_64/amd64/start/linkcmds
===================================================================
--- bsps/x86_64/amd64/start/linkcmds	(revision 656765c74b39064298eb16fdaf5f8b9f8ebfc01b)
+++ bsps/x86_64/amd64/start/linkcmds	(revision 5ed0035377d62da7d33072f10ea04ede27422455)
@@ -235,5 +235,5 @@
   .noinit (NOLOAD) :
   {
-    *(.noinit*)
+    *(SORT_BY_NAME (SORT_BY_ALIGNMENT (.noinit*)))
   }
   .rtemsstack (NOLOAD) :