Index: c/src/lib/libbsp/mips/genmongoosev/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/ChangeLog	(revision 4cbf22a237d76cf5d3952aec61176ed6dffee571)
+++ c/src/lib/libbsp/mips/genmongoosev/ChangeLog	(revision 7c6c630fb859ba0ebe096dc430099ffc78121add)
@@ -1,2 +1,6 @@
+2005-01-02	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* Makefile.am: Remove build-variant support.
+
 2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: c/src/lib/libbsp/mips/genmongoosev/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/Makefile.am	(revision 4cbf22a237d76cf5d3952aec61176ed6dffee571)
+++ c/src/lib/libbsp/mips/genmongoosev/Makefile.am	(revision 7c6c630fb859ba0ebe096dc430099ffc78121add)
@@ -12,23 +12,22 @@
 include_HEADERS = include/bsp.h
 include_HEADERS += include/tm27.h
+
 nodist_include_HEADERS = include/bspopts.h
+DISTCLEANFILES = include/bspopts.h
 
-EXTRA_PROGRAMS =
-CLEANFILES =
-noinst_DATA =
+noinst_PROGRAMS =
 
 nodist_include_HEADERS += ../../shared/include/coverhd.h
 
 EXTRA_DIST = start/start.S start/regs.S start/mg5.h
-start$(LIB_VARIANT).$(OBJEXT): start/start.S
+start.$(OBJEXT): start/start.S
 	$(CPPASCOMPILE) -DASM -o $@ -c $<
 
-project_lib_DATA = start$(LIB_VARIANT).$(OBJEXT)
+project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
 startup_CPPFLAGS = -I$(srcdir)/../../mips/shared/gdbstub
-EXTRA_PROGRAMS += startup.rel
-CLEANFILES += startup.rel
+noinst_PROGRAMS += startup.rel
 startup_rel_SOURCES = ../../mips/shared/gdbstub/mips-stub.c \
     ../../shared/gdbstub/rtems-stub-glue.c ../../shared/bspclean.c \
@@ -41,74 +40,31 @@
 startup_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += startup_g.rel
-CLEANFILES += startup_g.rel
-startup_g_rel_SOURCES = $(startup_rel_SOURCES)
-startup_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V) \
     $(startup_CPPFLAGS)
-startup_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += startup$(LIB_VARIANT).rel
 
 # FIXME: clockdrv.c and clockdrv_shell.c are structurally flawed
 clock_CPPFLAGS = -I$(srcdir)/../../shared
 EXTRA_DIST += ../../mips/shared/clockdrv_shell.c
-EXTRA_PROGRAMS += clock.rel
-CLEANFILES += clock.rel
+noinst_PROGRAMS += clock.rel
 clock_rel_SOURCES = clock/clockdrv.c
 clock_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V) $(clock_CPPFLAGS)
 clock_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += clock_g.rel
-CLEANFILES += clock_g.rel
-clock_g_rel_SOURCES = $(clock_rel_SOURCES)
-clock_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V) $(clock_CPPFLAGS)
-clock_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += clock$(LIB_VARIANT).rel
-
-EXTRA_PROGRAMS += console.rel
-CLEANFILES += console.rel
+noinst_PROGRAMS += console.rel
 console_rel_SOURCES = console/conscfg.c ../../shared/console.c
 console_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += console_g.rel
-CLEANFILES += console_g.rel
-console_g_rel_SOURCES = $(console_rel_SOURCES)
-console_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-console_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += console$(LIB_VARIANT).rel
-
-EXTRA_PROGRAMS += timer.rel
-CLEANFILES += timer.rel
+noinst_PROGRAMS += timer.rel
 timer_rel_SOURCES = timer/timer.c
 timer_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 timer_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += timer_g.rel
-CLEANFILES += timer_g.rel
-timer_g_rel_SOURCES = $(timer_rel_SOURCES)
-timer_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-timer_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += timer$(LIB_VARIANT).rel
-
-EXTRA_LIBRARIES = libbsp.a
-CLEANFILES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
-libbsp_a_LIBADD = startup$(LIB_VARIANT).rel clock$(LIB_VARIANT).rel \
-    console$(LIB_VARIANT).rel timer$(LIB_VARIANT).rel
-libbsp_a_LIBADD += ../../../libcpu/mips/shared/cache$(LIB_VARIANT).rel \
-    ../../../libcpu/mips/shared/interrupts$(LIB_VARIANT).rel \
-    ../../../libcpu/mips/mongoosev/duart$(LIB_VARIANT).rel \
-    ../../../libcpu/mips/mongoosev/vectorisrs$(LIB_VARIANT).rel
-
-EXTRA_LIBRARIES += libbsp_g.a
-CLEANFILES += libbsp_g.a
-libbsp_g_a_SOURCES = $(libbsp_a_SOURCES)
-libbsp_g_a_LIBADD = $(libbsp_a_LIBADD)
-
-noinst_DATA += libbsp$(LIB_VARIANT).a
+libbsp_a_LIBADD = startup.rel clock.rel console.rel timer.rel
+libbsp_a_LIBADD += ../../../libcpu/mips/shared/cache.rel \
+    ../../../libcpu/mips/shared/interrupts.rel \
+    ../../../libcpu/mips/mongoosev/duart.rel \
+    ../../../libcpu/mips/mongoosev/vectorisrs.rel
 
 all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
@@ -148,7 +104,7 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/coverhd.h
 
-$(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT): start$(LIB_VARIANT).$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
-TMPINSTALL_FILES += $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
+$(PROJECT_LIB)/start.$(OBJEXT): start.$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/start.$(OBJEXT)
+TMPINSTALL_FILES += $(PROJECT_LIB)/start.$(OBJEXT)
 
 $(PROJECT_LIB)/linkcmds: startup/linkcmds $(PROJECT_LIB)/$(dirstamp)
@@ -156,6 +112,6 @@
 PREINSTALL_FILES += $(PROJECT_LIB)/linkcmds
 
-CLEANFILES += $(PREINSTALL_FILES)
-DISTCLEANFILES = $(PREINSTALL_DIRS)
+CLEANFILES = $(PREINSTALL_FILES)
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 CLEANFILES += $(TMPINSTALL_FILES)
 
Index: c/src/lib/libbsp/mips/jmr3904/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/ChangeLog	(revision 4cbf22a237d76cf5d3952aec61176ed6dffee571)
+++ c/src/lib/libbsp/mips/jmr3904/ChangeLog	(revision 7c6c630fb859ba0ebe096dc430099ffc78121add)
@@ -1,2 +1,6 @@
+2005-01-02	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* Makefile.am: Remove build-variant support.
+
 2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: c/src/lib/libbsp/mips/jmr3904/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/Makefile.am	(revision 4cbf22a237d76cf5d3952aec61176ed6dffee571)
+++ c/src/lib/libbsp/mips/jmr3904/Makefile.am	(revision 7c6c630fb859ba0ebe096dc430099ffc78121add)
@@ -16,49 +16,30 @@
 include_HEADERS = include/bsp.h
 include_HEADERS += include/tm27.h
+
 nodist_include_HEADERS = include/bspopts.h
+DISTCLEANFILES = include/bspopts.h
 
-EXTRA_PROGRAMS =
-CLEANFILES =
-noinst_DATA =
+noinst_PROGRAMS =
 
 nodist_include_HEADERS += ../../shared/include/coverhd.h
 
 EXTRA_DIST = start/start.S start/regs.S
-start$(LIB_VARIANT).$(OBJEXT): start/start.S
+start.$(OBJEXT): start/start.S
 	$(CPPASCOMPILE) -DASM -o $@ -c $<
-project_lib_DATA = start$(LIB_VARIANT).$(OBJEXT)
+project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-EXTRA_PROGRAMS += clock.rel
-CLEANFILES += clock.rel
+noinst_PROGRAMS += clock.rel
 clock_rel_SOURCES = clock/clockdrv.c
 clock_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 clock_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += clock_g.rel
-CLEANFILES += clock_g.rel
-clock_g_rel_SOURCES = $(clock_rel_SOURCES)
-clock_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-clock_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += clock$(LIB_VARIANT).rel
-
-EXTRA_PROGRAMS += console.rel
-CLEANFILES += console.rel
+noinst_PROGRAMS += console.rel
 console_rel_SOURCES = console/console-io.c ../../shared/console-polled.c
 console_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += console_g.rel
-CLEANFILES += console_g.rel
-console_g_rel_SOURCES = $(console_rel_SOURCES)
-console_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-console_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += console$(LIB_VARIANT).rel
-
-EXTRA_PROGRAMS += startup.rel
-CLEANFILES += startup.rel
+noinst_PROGRAMS += startup.rel
 startup_rel_SOURCES = startup/bspclean.c ../../shared/bsplibc.c \
     ../../shared/bsppost.c startup/bspstart.c ../../shared/bootcard.c \
@@ -68,41 +49,15 @@
 startup_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += startup_g.rel
-CLEANFILES += startup_g.rel
-startup_g_rel_SOURCES = $(startup_rel_SOURCES)
-startup_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-startup_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += startup$(LIB_VARIANT).rel
-
-EXTRA_PROGRAMS += timer.rel
-CLEANFILES += timer.rel
+noinst_PROGRAMS += timer.rel
 timer_rel_SOURCES = timer/timer.c
 timer_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 timer_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += timer_g.rel
-CLEANFILES += timer_g.rel
-timer_g_rel_SOURCES = $(timer_rel_SOURCES)
-timer_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-timer_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += timer$(LIB_VARIANT).rel
-
-EXTRA_LIBRARIES = libbsp.a
-CLEANFILES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
-libbsp_a_LIBADD = startup$(LIB_VARIANT).rel clock$(LIB_VARIANT).rel \
-    console$(LIB_VARIANT).rel timer$(LIB_VARIANT).rel
-libbsp_a_LIBADD += ../../../libcpu/mips/shared/cache$(LIB_VARIANT).rel \
-    ../../../libcpu/mips/shared/interrupts$(LIB_VARIANT).rel \
-    ../../../libcpu/mips/tx39/vectorisrs$(LIB_VARIANT).rel
-
-EXTRA_LIBRARIES += libbsp_g.a
-CLEANFILES += libbsp_g.a
-libbsp_g_a_SOURCES = $(libbsp_a_SOURCES)
-libbsp_g_a_LIBADD = $(libbsp_a_LIBADD)
-
-noinst_DATA += libbsp$(LIB_VARIANT).a
+libbsp_a_LIBADD = startup.rel clock.rel console.rel timer.rel
+libbsp_a_LIBADD += ../../../libcpu/mips/shared/cache.rel \
+    ../../../libcpu/mips/shared/interrupts.rel \
+    ../../../libcpu/mips/tx39/vectorisrs.rel
 
 all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
@@ -142,7 +97,7 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/coverhd.h
 
-$(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT): start$(LIB_VARIANT).$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
-TMPINSTALL_FILES += $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
+$(PROJECT_LIB)/start.$(OBJEXT): start.$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/start.$(OBJEXT)
+TMPINSTALL_FILES += $(PROJECT_LIB)/start.$(OBJEXT)
 
 $(PROJECT_LIB)/linkcmds: startup/linkcmds $(PROJECT_LIB)/$(dirstamp)
@@ -150,6 +105,6 @@
 PREINSTALL_FILES += $(PROJECT_LIB)/linkcmds
 
-CLEANFILES += $(PREINSTALL_FILES)
-DISTCLEANFILES = $(PREINSTALL_DIRS)
+CLEANFILES = $(PREINSTALL_FILES)
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 CLEANFILES += $(TMPINSTALL_FILES)
 
Index: c/src/lib/libbsp/mips/p4000/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/p4000/ChangeLog	(revision 4cbf22a237d76cf5d3952aec61176ed6dffee571)
+++ c/src/lib/libbsp/mips/p4000/ChangeLog	(revision 7c6c630fb859ba0ebe096dc430099ffc78121add)
@@ -1,2 +1,6 @@
+2005-01-02	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* Makefile.am: Remove build-variant support.
+
 2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: c/src/lib/libbsp/mips/p4000/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/p4000/Makefile.am	(revision 4cbf22a237d76cf5d3952aec61176ed6dffee571)
+++ c/src/lib/libbsp/mips/p4000/Makefile.am	(revision 7c6c630fb859ba0ebe096dc430099ffc78121add)
@@ -12,21 +12,20 @@
 include_HEADERS = include/bsp.h
 include_HEADERS += include/tm27.h
+
 nodist_include_HEADERS = include/bspopts.h
+DISTCLEANFILES = include/bspopts.h
 
-EXTRA_PROGRAMS =
-CLEANFILES =
-noinst_DATA =
+noinst_PROGRAMS =
 
 include_HEADERS += include/coverhd.h
 
 EXTRA_DIST = start/start.S
-start$(LIB_VARIANT).$(OBJEXT): start/start.S
+start.$(OBJEXT): start/start.S
 	$(CPPASCOMPILE) -DASM -o $@ -c $<
-project_lib_DATA = start$(LIB_VARIANT).$(OBJEXT)
+project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-EXTRA_PROGRAMS += startup.rel
-CLEANFILES += startup.rel
+noinst_PROGRAMS += startup.rel
 startup_rel_SOURCES = startup/bspclean.c ../../shared/bsplibc.c \
     ../../shared/bsppost.c startup/bspstart.c ../../shared/bootcard.c \
@@ -37,57 +36,22 @@
 startup_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += startup_g.rel
-CLEANFILES += startup_g.rel
-startup_g_rel_SOURCES = $(startup_rel_SOURCES)
-startup_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-startup_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += startup$(LIB_VARIANT).rel
-
-EXTRA_PROGRAMS += console.rel
-CLEANFILES += console.rel
+noinst_PROGRAMS += console.rel
 console_rel_SOURCES = console/console.c console/led.S
 console_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += console_g.rel
-CLEANFILES += console_g.rel
-console_g_rel_SOURCES = $(console_rel_SOURCES)
-console_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-console_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += console$(LIB_VARIANT).rel
-
-EXTRA_PROGRAMS += liblnk.rel
-CLEANFILES += liblnk.rel
+noinst_PROGRAMS += liblnk.rel
 liblnk_rel_SOURCES = liblnk/lnklib.S
 liblnk_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 liblnk_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += liblnk_g.rel
-CLEANFILES += liblnk_g.rel
-liblnk_g_rel_SOURCES = $(liblnk_rel_SOURCES)
-liblnk_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-liblnk_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += liblnk$(LIB_VARIANT).rel
-
-EXTRA_LIBRARIES = libbsp.a
-CLEANFILES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
-libbsp_a_LIBADD = startup$(LIB_VARIANT).rel console$(LIB_VARIANT).rel \
-    liblnk$(LIB_VARIANT).rel
-libbsp_a_LIBADD += ../../../libcpu/mips/shared/cache$(LIB_VARIANT).rel \
-    ../../../libcpu/mips/shared/interrupts$(LIB_VARIANT).rel \
-    ../../../libcpu/mips/r46xx/clock$(LIB_VARIANT).rel \
-    ../../../libcpu/mips/r46xx/timer$(LIB_VARIANT).rel \
-    ../../../libcpu/mips/r46xx/vectorisrs$(LIB_VARIANT).rel
-
-EXTRA_LIBRARIES += libbsp_g.a
-CLEANFILES += libbsp_g.a
-libbsp_g_a_SOURCES = $(libbsp_a_SOURCES)
-libbsp_g_a_LIBADD = $(libbsp_a_LIBADD)
-
-noinst_DATA += libbsp$(LIB_VARIANT).a
+libbsp_a_LIBADD = startup.rel console.rel liblnk.rel
+libbsp_a_LIBADD += ../../../libcpu/mips/shared/cache.rel \
+    ../../../libcpu/mips/shared/interrupts.rel \
+    ../../../libcpu/mips/r46xx/clock.rel \
+    ../../../libcpu/mips/r46xx/timer.rel \
+    ../../../libcpu/mips/r46xx/vectorisrs.rel
 
 all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
@@ -129,7 +93,7 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/coverhd.h
 
-$(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT): start$(LIB_VARIANT).$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
-TMPINSTALL_FILES += $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
+$(PROJECT_LIB)/start.$(OBJEXT): start.$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/start.$(OBJEXT)
+TMPINSTALL_FILES += $(PROJECT_LIB)/start.$(OBJEXT)
 
 $(PROJECT_LIB)/linkcmds: startup/linkcmds $(PROJECT_LIB)/$(dirstamp)
@@ -137,6 +101,6 @@
 PREINSTALL_FILES += $(PROJECT_LIB)/linkcmds
 
-CLEANFILES += $(PREINSTALL_FILES)
-DISTCLEANFILES = $(PREINSTALL_DIRS)
+CLEANFILES = $(PREINSTALL_FILES)
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 CLEANFILES += $(TMPINSTALL_FILES)
 
Index: c/src/lib/libbsp/no_cpu/no_bsp/ChangeLog
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/ChangeLog	(revision 4cbf22a237d76cf5d3952aec61176ed6dffee571)
+++ c/src/lib/libbsp/no_cpu/no_bsp/ChangeLog	(revision 7c6c630fb859ba0ebe096dc430099ffc78121add)
@@ -1,2 +1,6 @@
+2005-01-02	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* Makefile.am: Remove build-variant support.
+
 2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: c/src/lib/libbsp/no_cpu/no_bsp/Makefile.am
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/Makefile.am	(revision 4cbf22a237d76cf5d3952aec61176ed6dffee571)
+++ c/src/lib/libbsp/no_cpu/no_bsp/Makefile.am	(revision 7c6c630fb859ba0ebe096dc430099ffc78121add)
@@ -12,9 +12,9 @@
 include_HEADERS = include/bsp.h
 include_HEADERS += include/tm27.h
+
 nodist_include_HEADERS = include/bspopts.h
+DISTCLEANFILES = include/bspopts.h
 
-EXTRA_PROGRAMS =
-CLEANFILES =
-noinst_DATA =
+noinst_PROGRAMS =
 
 include_HEADERS += include/coverhd.h
@@ -22,51 +22,23 @@
 dist_project_lib_DATA += startup/linkcmds
 
-EXTRA_PROGRAMS += clock.rel
-CLEANFILES += clock.rel
+noinst_PROGRAMS += clock.rel
 clock_rel_SOURCES = clock/ckinit.c
 clock_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 clock_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += clock_g.rel
-CLEANFILES += clock_g.rel
-clock_g_rel_SOURCES = $(clock_rel_SOURCES)
-clock_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-clock_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += clock$(LIB_VARIANT).rel
-
-EXTRA_PROGRAMS += console.rel
-CLEANFILES += console.rel
+noinst_PROGRAMS += console.rel
 console_rel_SOURCES = console/console.c
 console_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += console_g.rel
-CLEANFILES += console_g.rel
-console_g_rel_SOURCES = $(console_rel_SOURCES)
-console_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-console_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += console$(LIB_VARIANT).rel
-
 if HAS_MP
-EXTRA_PROGRAMS += shmsupp.rel
-CLEANFILES += shmsupp.rel
+noinst_PROGRAMS += shmsupp.rel
 shmsupp_rel_SOURCES = shmsupp/addrconv.c shmsupp/getcfg.c shmsupp/lock.c \
     shmsupp/mpisr.c
 shmsupp_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 shmsupp_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-EXTRA_PROGRAMS += shmsupp_g.rel
-CLEANFILES += shmsupp_g.rel
-shmsupp_g_rel_SOURCES = $(shmsupp_rel_SOURCES)
-shmsupp_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-shmsupp_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += shmsupp$(LIB_VARIANT).rel
 endif
 
-EXTRA_PROGRAMS += startup.rel
-CLEANFILES += startup.rel
+noinst_PROGRAMS += startup.rel
 startup_rel_SOURCES = startup/bspclean.c ../../shared/bsplibc.c \
     ../../shared/bsppost.c startup/bspstart.c startup/main.c \
@@ -76,41 +48,15 @@
 startup_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += startup_g.rel
-CLEANFILES += startup_g.rel
-startup_g_rel_SOURCES = $(startup_rel_SOURCES)
-startup_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-startup_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += startup$(LIB_VARIANT).rel
-
-EXTRA_PROGRAMS += timer.rel
-CLEANFILES += timer.rel
+noinst_PROGRAMS += timer.rel
 timer_rel_SOURCES = timer/timer.c timer/timerisr.c
 timer_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 timer_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += timer_g.rel
-CLEANFILES += timer_g.rel
-timer_g_rel_SOURCES = $(timer_rel_SOURCES)
-timer_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-timer_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += timer$(LIB_VARIANT).rel
-
-EXTRA_LIBRARIES = libbsp.a
-CLEANFILES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
-libbsp_a_LIBADD = startup$(LIB_VARIANT) clock$(LIB_VARIANT) \
-    console$(LIB_VARIANT) timer$(LIB_VARIANT)
+libbsp_a_LIBADD = startup clock console timer
 if HAS_MP
-libbsp_a_LIBADD += shmsupp$(LIB_VARIANT)
+libbsp_a_LIBADD += shmsupp
 endif
-
-EXTRA_LIBRARIES += libbsp_g.a
-CLEANFILES += libbsp_g.a
-libbsp_g_a_SOURCES = $(libbsp_a_SOURCES)
-libbsp_g_a_LIBADD = $(libbsp_a_LIBADD)
-
-noinst_DATA += libbsp$(LIB_VARIANT).a
 
 all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
@@ -155,6 +101,6 @@
 PREINSTALL_FILES += $(PROJECT_LIB)/linkcmds
 
-CLEANFILES += $(PREINSTALL_FILES)
-DISTCLEANFILES = $(PREINSTALL_DIRS)
+CLEANFILES = $(PREINSTALL_FILES)
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/or32/orp/ChangeLog
===================================================================
--- c/src/lib/libbsp/or32/orp/ChangeLog	(revision 4cbf22a237d76cf5d3952aec61176ed6dffee571)
+++ c/src/lib/libbsp/or32/orp/ChangeLog	(revision 7c6c630fb859ba0ebe096dc430099ffc78121add)
@@ -1,2 +1,6 @@
+2005-01-02	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* Makefile.am: Remove build-variant support.
+
 2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: c/src/lib/libbsp/or32/orp/Makefile.am
===================================================================
--- c/src/lib/libbsp/or32/orp/Makefile.am	(revision 4cbf22a237d76cf5d3952aec61176ed6dffee571)
+++ c/src/lib/libbsp/or32/orp/Makefile.am	(revision 7c6c630fb859ba0ebe096dc430099ffc78121add)
@@ -12,21 +12,20 @@
 include_HEADERS = include/bsp.h
 include_HEADERS += include/tm27.h
+
 nodist_include_HEADERS = include/bspopts.h
+DISTCLEANFILES = include/bspopts.h
 
-EXTRA_PROGRAMS =
-CLEANFILES =
-noinst_DATA =
+noinst_PROGRAMS =
 
 include_HEADERS += include/coverhd.h
 
 EXTRA_DIST = start.S
-start$(LIB_VARIANT).$(OBJEXT): start/start.S
+start.$(OBJEXT): start/start.S
 	$(CPPASCOMPILE) -DASM -o $@ -c $<
-project_lib_DATA = start$(LIB_VARIANT).$(OBJEXT)
+project_lib_DATA = start.$(OBJEXT)
 
 dist_project_lib_DATA += startup/linkcmds
 
-EXTRA_PROGRAMS += startup.rel
-CLEANFILES += startup.rel
+noinst_PROGRAMS += startup.rel
 startup_rel_SOURCES = ../../shared/bsplibc.c ../../shared/bsppost.c \
     startup/bspstart.c startup/bspclean.c ../../shared/bootcard.c \
@@ -36,66 +35,22 @@
 startup_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += startup_g.rel
-CLEANFILES += startup_g.rel
-startup_g_rel_SOURCES = $(startup_rel_SOURCES)
-startup_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-startup_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += startup$(LIB_VARIANT).rel
-
-EXTRA_PROGRAMS += clock.rel
-CLEANFILES += clock.rel
+noinst_PROGRAMS += clock.rel
 clock_rel_SOURCES = clock/clockdrv.c
 clock_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 clock_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += clock_g.rel
-CLEANFILES += clock_g.rel
-clock_g_rel_SOURCES = $(clock_rel_SOURCES)
-clock_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-clock_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += clock$(LIB_VARIANT).rel
-
-EXTRA_PROGRAMS += console.rel
-CLEANFILES += console.rel
+noinst_PROGRAMS += console.rel
 console_rel_SOURCES = console/console.c console/console.h
 console_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 console_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += console_g.rel
-CLEANFILES += console_g.rel
-console_g_rel_SOURCES = $(console_rel_SOURCES)
-console_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-console_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += console$(LIB_VARIANT).rel
-
-EXTRA_PROGRAMS += timer.rel
-CLEANFILES += timer.rel
+noinst_PROGRAMS += timer.rel
 timer_rel_SOURCES = timer/timer.c timer/timerisr.c
 timer_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 timer_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
-EXTRA_PROGRAMS += timer_g.rel
-CLEANFILES += timer_g.rel
-timer_g_rel_SOURCES = $(timer_rel_SOURCES)
-timer_g_rel_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
-timer_g_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
-
-noinst_DATA += timer$(LIB_VARIANT).rel
-
-EXTRA_LIBRARIES = libbsp.a
-CLEANFILES += libbsp.a
+noinst_LIBRARIES = libbsp.a
 libbsp_a_SOURCES =
-libbsp_a_LIBADD = startup$(LIB_VARIANT).rel clock$(LIB_VARIANT).rel \
-    console$(LIB_VARIANT).rel timer$(LIB_VARIANT).rel
-
-EXTRA_LIBRARIES += libbsp_g.a
-CLEANFILES += libbsp_g.a
-libbsp_g_a_SOURCES = $(libbsp_a_SOURCES)
-libbsp_g_a_LIBADD = $(libbsp_a_LIBADD)
-
-noinst_DATA += libbsp$(LIB_VARIANT).a
+libbsp_a_LIBADD = startup.rel clock.rel console.rel timer.rel
 
 all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
@@ -135,7 +90,7 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/coverhd.h
 
-$(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT): start$(LIB_VARIANT).$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
-TMPINSTALL_FILES += $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
+$(PROJECT_LIB)/start.$(OBJEXT): start.$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/start.$(OBJEXT)
+TMPINSTALL_FILES += $(PROJECT_LIB)/start.$(OBJEXT)
 
 $(PROJECT_LIB)/linkcmds: startup/linkcmds $(PROJECT_LIB)/$(dirstamp)
@@ -143,6 +98,6 @@
 PREINSTALL_FILES += $(PROJECT_LIB)/linkcmds
 
-CLEANFILES += $(PREINSTALL_FILES)
-DISTCLEANFILES = $(PREINSTALL_DIRS)
+CLEANFILES = $(PREINSTALL_FILES)
+DISTCLEANFILES += $(PREINSTALL_DIRS)
 CLEANFILES += $(TMPINSTALL_FILES)
 