Index: c/src/ada/rtems.ads
===================================================================
--- c/src/ada/rtems.ads	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/ada/rtems.ads	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -698,16 +698,17 @@
    type Configuration_Table is
       record
-          Work_Space_Start           : RTEMS.Address;
-          Work_Space_Size            : RTEMS.Unsigned32;
-          Maximum_Extensions         : RTEMS.Unsigned32;
-          Microseconds_Per_Tick      : RTEMS.Unsigned32;
-          Ticks_Per_Timeslice        : RTEMS.Unsigned32;
-          Maximum_Devices            : RTEMS.Unsigned32;
-          Number_Of_Device_Drivers   : RTEMS.Unsigned32;
-          Device_Driver_Table        : RTEMS.Driver_Address_Table_Pointer;
-          User_Extension_Table       : RTEMS.Extensions_Table_Pointer;
-          User_Multiprocessing_Table : RTEMS.Multiprocessing_Table_Pointer;
-          RTEMS_API_Configuration    : RTEMS.API_Configuration_Table_Pointer;
-          POSIX_API_Configuration    : RTEMS.POSIX_API_Configuration_Table_Pointer;
+          Work_Space_Start             : RTEMS.Address;
+          Work_Space_Size              : RTEMS.Unsigned32;
+          Maximum_Extensions           : RTEMS.Unsigned32;
+          Microseconds_Per_Tick        : RTEMS.Unsigned32;
+          Ticks_Per_Timeslice          : RTEMS.Unsigned32;
+          Maximum_Devices              : RTEMS.Unsigned32;
+          Number_Of_Device_Drivers     : RTEMS.Unsigned32;
+          Device_Driver_Table          : RTEMS.Driver_Address_Table_Pointer;
+          Number_Of_Initial_Extensions : RTEMS.Unsigned32;
+          User_Extension_Table         : RTEMS.Extensions_Table_Pointer;
+          User_Multiprocessing_Table   : RTEMS.Multiprocessing_Table_Pointer;
+          RTEMS_API_Configuration      : RTEMS.API_Configuration_Table_Pointer;
+          POSIX_API_Configuration      : RTEMS.POSIX_API_Configuration_Table_Pointer;
       end record;
 
Index: c/src/lib/libbsp/a29k/portsw/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/a29k/portsw/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/a29k/portsw/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -28,8 +28,4 @@
 #include <string.h>
  
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
-
 #ifndef lint
 static char _sccsid[] = "@(#)bspstart.c 09/11/96     1.15\n";
@@ -121,13 +117,4 @@
     bsp_libc_init();
 
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
- 
-    Stack_check_Initialize();
-#endif
- 
 #ifdef RTEMS_DEBUG
     rtems_debug_enable( RTEMS_DEBUG_ALL_MASK );
Index: c/src/lib/libbsp/hppa1.1/simhppa/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/hppa1.1/simhppa/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/hppa1.1/simhppa/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -30,8 +30,4 @@
 
 #include <string.h>
-
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
 
 extern rtems_configuration_table  Configuration;
@@ -215,14 +211,4 @@
             rtems_fatal_error_occurred(rc);
     }
-#endif
-
-
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
-
-    Stack_check_Initialize();
 #endif
 }
Index: c/src/lib/libbsp/i386/force386/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/i386/force386/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/i386/force386/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -25,8 +25,4 @@
 
 #include <libcsupport.h>
-
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
 
 /*
@@ -94,13 +90,4 @@
     bsp_libc_init();
  
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
- 
-    Stack_check_Initialize();
-#endif
- 
 #ifdef RTEMS_DEBUG
     rtems_debug_enable( RTEMS_DEBUG_ALL_MASK );
Index: c/src/lib/libbsp/i386/go32/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/i386/go32/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/i386/go32/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -29,8 +29,4 @@
 #include <string.h>
  
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
-
 /*
  *  The original table from the application and our copy of it with
@@ -101,13 +97,4 @@
 {
     bsp_libc_init();
- 
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
- 
-    Stack_check_Initialize();
-#endif
  
 #ifdef RTEMS_DEBUG
Index: c/src/lib/libbsp/i386/i386ex/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/i386/i386ex/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/i386/i386ex/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -26,8 +26,4 @@
  
 #include <libcsupport.h>
-
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
 
 /*
@@ -107,13 +103,4 @@
     bsp_libc_init();
  
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
- 
-    Stack_check_Initialize();
-#endif
-
 #ifdef RTEMS_DEBUG
     rtems_debug_enable( RTEMS_DEBUG_ALL_MASK );
Index: c/src/lib/libbsp/i386/pc386/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/i386/pc386/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/i386/pc386/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -39,8 +39,4 @@
 #include <rtems/libio.h>
  
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
-
 /*-------------------------------------------------------------------------+
 | Global Variables
@@ -119,12 +115,4 @@
   bsp_libc_init();
 
-#ifdef STACK_CHECKER_ON
-  /* Initialize the stack bounds checker. We can either turn it on here or from
-     the app. */
-   
-  Stack_check_Initialize();
-
-#endif /* STACK_CHECKER_ON */
- 
 #ifdef RTEMS_DEBUG
 
Index: c/src/lib/libbsp/i960/cvme961/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/i960/cvme961/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/i960/cvme961/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -28,8 +28,4 @@
 #include <string.h>
  
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
-
 /*
  *  The original table from the application and our copy of it with
@@ -96,13 +92,4 @@
 {
     bsp_libc_init();
- 
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
- 
-    Stack_check_Initialize();
-#endif
  
 #ifdef RTEMS_DEBUG
Index: c/src/lib/libbsp/m68k/dmv152/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/m68k/dmv152/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -28,7 +28,4 @@
 #include <string.h>
  
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
 /*
  *  The original table from the application and our copy of it with
@@ -94,13 +91,4 @@
 {
     bsp_libc_init();
- 
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
- 
-    Stack_check_Initialize();
-#endif
  
 #ifdef RTEMS_DEBUG
Index: c/src/lib/libbsp/m68k/efi332/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/efi332/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/m68k/efi332/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -27,8 +27,4 @@
 #include <string.h>
  
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
-
 /*
  *  The original table from the application and our copy of it with
@@ -103,13 +99,4 @@
     bsp_libc_init();
  
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
- 
-    Stack_check_Initialize();
-#endif
- 
 #ifdef RTEMS_DEBUG
     rtems_debug_enable( RTEMS_DEBUG_ALL_MASK );
Index: c/src/lib/libbsp/m68k/efi68k/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/efi68k/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/m68k/efi68k/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -26,8 +26,4 @@
 
 #include <string.h>
- 
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
  
 /*
@@ -108,13 +104,4 @@
     bsp_libc_init();
  
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
- 
-    Stack_check_Initialize();
-#endif
- 
 #ifdef RTEMS_DEBUG
     rtems_debug_enable( RTEMS_DEBUG_ALL_MASK );
Index: c/src/lib/libbsp/m68k/gen68302/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/m68k/gen68302/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -28,8 +28,4 @@
 #include <string.h>
  
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
-
 /*
  *  The original table from the application and our copy of it with
@@ -102,13 +98,4 @@
 {
     bsp_libc_init();
- 
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
- 
-    Stack_check_Initialize();
-#endif
  
 #ifdef RTEMS_DEBUG
Index: c/src/lib/libbsp/m68k/gen68360/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/m68k/gen68360/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -28,8 +28,4 @@
 #include <string.h>
  
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
-
 /*
  *  The original table from the application and our copy of it with
@@ -98,13 +94,4 @@
 {
     bsp_libc_init();
- 
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
- 
-    Stack_check_Initialize();
-#endif
  
 #ifdef RTEMS_DEBUG
Index: c/src/lib/libbsp/m68k/idp/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/idp/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/m68k/idp/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -28,8 +28,4 @@
 #include <string.h>
  
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
-
 unsigned char *duart_base;
 extern struct duart_regs duart_info;
@@ -103,13 +99,4 @@
 {
     bsp_libc_init();
- 
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
- 
-    Stack_check_Initialize();
-#endif
  
 #ifdef RTEMS_DEBUG
Index: c/src/lib/libbsp/m68k/mvme136/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/m68k/mvme136/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -28,8 +28,4 @@
 
 #include <string.h>
-
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
 
 /*
@@ -96,13 +92,4 @@
 {
     bsp_libc_init();
- 
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
- 
-    Stack_check_Initialize();
-#endif
  
 #ifdef RTEMS_DEBUG
Index: c/src/lib/libbsp/m68k/mvme147/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/m68k/mvme147/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -31,8 +31,4 @@
 
 #include <string.h>
-
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
 
 /*
@@ -99,13 +95,4 @@
 {
     bsp_libc_init();
- 
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
- 
-    Stack_check_Initialize();
-#endif
  
 #ifdef RTEMS_DEBUG
Index: c/src/lib/libbsp/m68k/mvme147s/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/m68k/mvme147s/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -31,8 +31,4 @@
 
 #include <string.h>
-
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
 
 /*
@@ -99,13 +95,4 @@
 {
     bsp_libc_init();
- 
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
- 
-    Stack_check_Initialize();
-#endif
  
 #ifdef RTEMS_DEBUG
Index: c/src/lib/libbsp/m68k/mvme162/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/m68k/mvme162/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -36,8 +36,4 @@
 #include <string.h>
  
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
-
 /*
  *  The original table from the application and our copy of it with
@@ -103,13 +99,4 @@
 {
     bsp_libc_init();
- 
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
- 
-    Stack_check_Initialize();
-#endif
  
 #ifdef RTEMS_DEBUG
Index: c/src/lib/libbsp/m68k/ods68302/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/m68k/ods68302/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -28,8 +28,4 @@
 #include <string.h>
  
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
-
 /*
  *  The original table from the application and our copy of it with
@@ -103,13 +99,4 @@
 {
     bsp_libc_init();
- 
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
- 
-    Stack_check_Initialize();
-#endif
  
 #ifdef RTEMS_DEBUG
Index: c/src/lib/libbsp/mips/p4000/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/mips/p4000/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/mips/p4000/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -36,8 +36,4 @@
 #include <string.h>
  
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
-
 /*
  *  The original table from the application and our copy of it with
@@ -114,13 +110,4 @@
     bsp_libc_init();
  
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
- 
-    Stack_check_Initialize();
-#endif
- 
 #ifdef RTEMS_DEBUG
     rtems_debug_enable( RTEMS_DEBUG_ALL_MASK );
Index: c/src/lib/libbsp/mips64orion/p4000/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/mips64orion/p4000/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/mips64orion/p4000/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -36,8 +36,4 @@
 #include <string.h>
  
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
-
 /*
  *  The original table from the application and our copy of it with
@@ -114,13 +110,4 @@
     bsp_libc_init();
  
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
- 
-    Stack_check_Initialize();
-#endif
- 
 #ifdef RTEMS_DEBUG
     rtems_debug_enable( RTEMS_DEBUG_ALL_MASK );
Index: c/src/lib/libbsp/no_cpu/no_bsp/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/no_cpu/no_bsp/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -28,8 +28,4 @@
 #include <string.h>
  
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
-
 /*
  *  The original table from the application and our copy of it with
@@ -103,13 +99,4 @@
 {
     bsp_libc_init();
- 
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
- 
-    Stack_check_Initialize();
-#endif
  
 #ifdef RTEMS_DEBUG
Index: c/src/lib/libbsp/powerpc/papyrus/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/powerpc/papyrus/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/powerpc/papyrus/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -45,8 +45,4 @@
 #include <string.h>
  
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
-
 /*
  *  The original table from the application and our copy of it with
@@ -122,13 +118,4 @@
     bsp_libc_init();
  
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
- 
-    Stack_check_Initialize();
-#endif
- 
 #ifdef RTEMS_DEBUG
     rtems_debug_enable( RTEMS_DEBUG_ALL_MASK );
Index: c/src/lib/libbsp/powerpc/psim/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/powerpc/psim/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/powerpc/psim/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -26,8 +26,4 @@
 #include <string.h>
 #include <fcntl.h>
-
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
 
 /*
@@ -184,14 +180,4 @@
       rtems_fatal_error_occurred(rc);
   }
-#endif
-
-
-#ifdef STACK_CHECKER_ON
-  /*
-   *  Initialize the stack bounds checker
-   *  We can either turn it on here or from the app.
-   */
-
-  Stack_check_Initialize();
 #endif
 
Index: c/src/lib/libbsp/sh/gensh1/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/sh/gensh1/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/sh/gensh1/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -38,8 +38,4 @@
 #include <string.h>
  
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
-
 /*
  *  The original table from the application and our copy of it with
@@ -106,13 +102,4 @@
 {
     bsp_libc_init();
- 
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
- 
-    Stack_check_Initialize();
-#endif
  
 #ifdef RTEMS_DEBUG
Index: c/src/lib/libbsp/sparc/erc32/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/sparc/erc32/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/sparc/erc32/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -32,8 +32,4 @@
 
 #include <string.h>
-
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
 
 /*
@@ -187,14 +183,4 @@
 #endif
 
-
-#ifdef STACK_CHECKER_ON
-  /*
-   *  Initialize the stack bounds checker
-   *  We can either turn it on here or from the app.
-   */
-
-  Stack_check_Initialize();
-#endif
-
 #ifdef RTEMS_DEBUG
   rtems_debug_enable( RTEMS_DEBUG_ALL_MASK );
Index: c/src/lib/libbsp/unix/posix/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/unix/posix/startup/bspstart.c	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ c/src/lib/libbsp/unix/posix/startup/bspstart.c	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -36,8 +36,4 @@
 
 #include <rtems/libio.h>
-
-#ifdef STACK_CHECKER_ON
-#include <stackchk.h>
-#endif
 
 extern rtems_configuration_table  Configuration;
@@ -154,13 +150,4 @@
     bsp_libc_init();
 
-#ifdef STACK_CHECKER_ON
-    /*
-     *  Initialize the stack bounds checker
-     *  We can either turn it on here or from the app.
-     */
-
-    Stack_check_Initialize();
-#endif
-
 #ifdef RTEMS_DEBUG
     rtems_debug_enable( RTEMS_DEBUG_ALL_MASK );
Index: cpukit/ada/rtems.ads
===================================================================
--- cpukit/ada/rtems.ads	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ cpukit/ada/rtems.ads	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -698,16 +698,17 @@
    type Configuration_Table is
       record
-          Work_Space_Start           : RTEMS.Address;
-          Work_Space_Size            : RTEMS.Unsigned32;
-          Maximum_Extensions         : RTEMS.Unsigned32;
-          Microseconds_Per_Tick      : RTEMS.Unsigned32;
-          Ticks_Per_Timeslice        : RTEMS.Unsigned32;
-          Maximum_Devices            : RTEMS.Unsigned32;
-          Number_Of_Device_Drivers   : RTEMS.Unsigned32;
-          Device_Driver_Table        : RTEMS.Driver_Address_Table_Pointer;
-          User_Extension_Table       : RTEMS.Extensions_Table_Pointer;
-          User_Multiprocessing_Table : RTEMS.Multiprocessing_Table_Pointer;
-          RTEMS_API_Configuration    : RTEMS.API_Configuration_Table_Pointer;
-          POSIX_API_Configuration    : RTEMS.POSIX_API_Configuration_Table_Pointer;
+          Work_Space_Start             : RTEMS.Address;
+          Work_Space_Size              : RTEMS.Unsigned32;
+          Maximum_Extensions           : RTEMS.Unsigned32;
+          Microseconds_Per_Tick        : RTEMS.Unsigned32;
+          Ticks_Per_Timeslice          : RTEMS.Unsigned32;
+          Maximum_Devices              : RTEMS.Unsigned32;
+          Number_Of_Device_Drivers     : RTEMS.Unsigned32;
+          Device_Driver_Table          : RTEMS.Driver_Address_Table_Pointer;
+          Number_Of_Initial_Extensions : RTEMS.Unsigned32;
+          User_Extension_Table         : RTEMS.Extensions_Table_Pointer;
+          User_Multiprocessing_Table   : RTEMS.Multiprocessing_Table_Pointer;
+          RTEMS_API_Configuration      : RTEMS.API_Configuration_Table_Pointer;
+          POSIX_API_Configuration      : RTEMS.POSIX_API_Configuration_Table_Pointer;
       end record;
 
Index: doc/user/conf.t
===================================================================
--- doc/user/conf.t	(revision 0451b44f3600f2e05859b931324b823b62a8251d)
+++ doc/user/conf.t	(revision 9b64c2d5f7d6875cc20552b0ff3bc55cdc7d60d3)
@@ -32,4 +32,5 @@
   rtems_unsigned32                  number_of_device_drivers;
   rtems_driver_address_table       *Device_driver_table;
+  rtems_unsigned32                  number_of_initial_extensions;
   rtems_extensions_table           *User_extension_table;
   rtems_multiprocessing_table      *User_multiprocessing_table;
@@ -45,16 +46,17 @@
 type Configuration_Table is
    record
-       Work_Space_Start           : RTEMS.Address;
-       Work_Space_Size            : RTEMS.Unsigned32;
-       Maximum_Extensions         : RTEMS.Unsigned32;
-       Microseconds_Per_Tick      : RTEMS.Unsigned32;
-       Ticks_Per_Timeslice        : RTEMS.Unsigned32;
-       Maximum_Devices            : RTEMS.Unsigned32;
-       Number_Of_Device_Drivers   : RTEMS.Unsigned32;
-       Device_Driver_Table        : RTEMS.Driver_Address_Table_Pointer;
-       User_Extension_Table       : RTEMS.Extensions_Table_Pointer;
-       User_Multiprocessing_Table : RTEMS.Multiprocessing_Table_Pointer;
-       RTEMS_API_Configuration    : RTEMS.API_Configuration_Table_Pointer;
-       POSIX_API_Configuration    :
+       Work_Space_Start             : RTEMS.Address;
+       Work_Space_Size              : RTEMS.Unsigned32;
+       Maximum_Extensions           : RTEMS.Unsigned32;
+       Microseconds_Per_Tick        : RTEMS.Unsigned32;
+       Ticks_Per_Timeslice          : RTEMS.Unsigned32;
+       Maximum_Devices              : RTEMS.Unsigned32;
+       Number_Of_Device_Drivers     : RTEMS.Unsigned32;
+       Device_Driver_Table          : RTEMS.Driver_Address_Table_Pointer;
+       Number_Of_Initial_Extensions : RTEMS.Unsigned32;
+       User_Extension_Table         : RTEMS.Extensions_Table_Pointer;
+       User_Multiprocessing_Table   : RTEMS.Multiprocessing_Table_Pointer;
+       RTEMS_API_Configuration      : RTEMS.API_Configuration_Table_Pointer;
+       POSIX_API_Configuration      :
                        RTEMS.POSIX_API_Configuration_Table_Pointer;
    end record;
@@ -97,4 +99,9 @@
 then this entry should be NULL. The format of this table will be
 discussed below.
+
+@item number_of_initial_extensions
+is the number of initial user extensions.  There should be
+the same number of entries as in the User_extension_table.  If this field
+is zero, then the User_driver_address_table entry should be NULL.
 
 @item User_extension_table